Activate Use Case
curl --request POST \
--url https://api.neuralfactory.ai/use-cases/{use_case_id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_bases": {},
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"approvers": {},
"visibility": "private",
"group_ids": [
"<string>"
]
}
'import requests
url = "https://api.neuralfactory.ai/use-cases/{use_case_id}/activate"
payload = {
"knowledge_bases": {},
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"approvers": {},
"visibility": "private",
"group_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_bases: {},
schedule: {cron: '<string>', timezone: '<string>'},
approvers: {},
visibility: 'private',
group_ids: ['<string>']
})
};
fetch('https://api.neuralfactory.ai/use-cases/{use_case_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/use-cases/{use_case_id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'knowledge_bases' => [
],
'schedule' => [
'cron' => '<string>',
'timezone' => '<string>'
],
'approvers' => [
],
'visibility' => 'private',
'group_ids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/use-cases/{use_case_id}/activate"
payload := strings.NewReader("{\n \"knowledge_bases\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\"\n },\n \"approvers\": {},\n \"visibility\": \"private\",\n \"group_ids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/use-cases/{use_case_id}/activate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"knowledge_bases\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\"\n },\n \"approvers\": {},\n \"visibility\": \"private\",\n \"group_ids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/use-cases/{use_case_id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"knowledge_bases\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\"\n },\n \"approvers\": {},\n \"visibility\": \"private\",\n \"group_ids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"kind": "agent",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
],
"todo": [
{
"id": "<string>",
"severity": "warn",
"title": "<string>",
"detail": "",
"fix": {
"kind": "ask",
"arg": ""
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogue
Activate Use Case
API key permission: Agents (Admin also opens it).
POST
/
use-cases
/
{use_case_id}
/
activate
Activate Use Case
curl --request POST \
--url https://api.neuralfactory.ai/use-cases/{use_case_id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_bases": {},
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"approvers": {},
"visibility": "private",
"group_ids": [
"<string>"
]
}
'import requests
url = "https://api.neuralfactory.ai/use-cases/{use_case_id}/activate"
payload = {
"knowledge_bases": {},
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"approvers": {},
"visibility": "private",
"group_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_bases: {},
schedule: {cron: '<string>', timezone: '<string>'},
approvers: {},
visibility: 'private',
group_ids: ['<string>']
})
};
fetch('https://api.neuralfactory.ai/use-cases/{use_case_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/use-cases/{use_case_id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'knowledge_bases' => [
],
'schedule' => [
'cron' => '<string>',
'timezone' => '<string>'
],
'approvers' => [
],
'visibility' => 'private',
'group_ids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/use-cases/{use_case_id}/activate"
payload := strings.NewReader("{\n \"knowledge_bases\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\"\n },\n \"approvers\": {},\n \"visibility\": \"private\",\n \"group_ids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/use-cases/{use_case_id}/activate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"knowledge_bases\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\"\n },\n \"approvers\": {},\n \"visibility\": \"private\",\n \"group_ids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/use-cases/{use_case_id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"knowledge_bases\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\"\n },\n \"approvers\": {},\n \"visibility\": \"private\",\n \"group_ids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"kind": "agent",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
],
"todo": [
{
"id": "<string>",
"severity": "warn",
"title": "<string>",
"detail": "",
"fix": {
"kind": "ask",
"arg": ""
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Body
application/json
The answers of the activation steps.